Loading...
Searching...
No Matches
Dune::Amg::DependencyParameters Class Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Parameters needed to check whether a node depends on another. More...

`#include <dune/istl/paamg/parameters.hh>`

Inheritance diagram for Dune::Amg::DependencyParameters:

## Public Member Functions

| DependencyParameters ()
| Constructor.
void | setBeta (double b)
| Set threshold for marking nodes as isolated. The default value is 1.0E-5.
double | beta () const
| Get the threshold for marking nodes as isolated. The default value is 1.0E-5.
void | setAlpha (double a)
| Set the scaling value for marking connections as strong. Default value is 1/3.
double | alpha () const
| Get the scaling value for marking connections as strong. Default value is 1/3.

## Detailed Description

Parameters needed to check whether a node depends on another.

The documentation for this class was generated from the following file:

- parameters.hh